<?PHP
######################################################
#                                                    #
#                Forms To Go 4.5.4                   #
#             http://www.bebosoft.com/               #
#                                                    #
######################################################




define('kOptional', true);
define('kMandatory', false);

define('kStringRangeFrom', 1);
define('kStringRangeTo', 2);
define('kStringRangeBetween', 3);
        
define('kYes', 'yes');
define('kNo', 'no');




error_reporting(E_ERROR | E_WARNING | E_PARSE);
ini_set('track_errors', true);

function DoStripSlashes($fieldValue)  { 
// temporary fix for PHP6 compatibility - magic quotes deprecated in PHP6
 if ( function_exists( 'get_magic_quotes_gpc' ) && get_magic_quotes_gpc() ) { 
  if (is_array($fieldValue) ) { 
   return array_map('DoStripSlashes', $fieldValue); 
  } else { 
   return trim(stripslashes($fieldValue)); 
  } 
 } else { 
  return $fieldValue; 
 } 
}

function FilterCChars($theString) {
 return preg_replace('/[\x00-\x1F]/', '', $theString);
}

function CheckString($value, $low, $high, $mode, $limitAlpha, $limitNumbers, $limitEmptySpaces, $limitExtraChars, $optional) {

 $regEx = '';

 if ($limitAlpha == kYes) {
  $regExp = 'A-Za-z';
 }
 
 if ($limitNumbers == kYes) {
  $regExp .= '0-9'; 
 }
 
 if ($limitEmptySpaces == kYes) {
  $regExp .= ' '; 
 }

 if (strlen($limitExtraChars) > 0) {
 
  $search = array('\\', '[', ']', '-', '$', '.', '*', '(', ')', '?', '+', '^', '{', '}', '|', '/');
  $replace = array('\\\\', '\[', '\]', '\-', '\$', '\.', '\*', '\(', '\)', '\?', '\+', '\^', '\{', '\}', '\|', '\/');

  $regExp .= str_replace($search, $replace, $limitExtraChars);

 }

 if ( (strlen($regExp) > 0) && (strlen($value) > 0) ){
  if (preg_match('/[^' . $regExp . ']/', $value)) {
   return false;
  }
 }

 if ( (strlen($value) == 0) && ($optional === kOptional) ) {
  return true;
 } elseif ( (strlen($value) >= $low) && ($mode == kStringRangeFrom) ) {
  return true;
 } elseif ( (strlen($value) <= $high) && ($mode == kStringRangeTo) ) {
  return true;
 } elseif ( (strlen($value) >= $low) && (strlen($value) <= $high) && ($mode == kStringRangeBetween) ) {
  return true;
 } else {
  return false;
 }

}


function CheckEmail($email, $optional) {
 if ( (strlen($email) == 0) && ($optional === kOptional) ) {
  return true;
  } elseif ( preg_match("/^([\w\!\#$\%\&\'\*\+\-\/\=\?\^\`{\|\}\~]+\.)*[\w\!\#$\%\&\'\*\+\-\/\=\?\^\`{\|\}\~]+@((((([a-z0-9]{1}[a-z0-9\-]{0,62}[a-z0-9]{1})|[a-z])\.)+[a-z]{2,6})|(\d{1,3}\.){3}\d{1,3}(\:\d{1,5})?)$/i", $email) == 1 ) {
  return true;
 } else {
  return false;
 }
}


function CheckEqualTo($original, $repeated) {
 if ($original == $repeated) {
  return true;
 } else {
  return false;
 }
}




if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
 $clientIP = $_SERVER['HTTP_X_FORWARDED_FOR'];
} else {
 $clientIP = $_SERVER['REMOTE_ADDR'];
}

$FTGName = DoStripSlashes( $_POST['Name'] );
$FTGemail = DoStripSlashes( $_POST['email'] );
$FTGCFemail = DoStripSlashes( $_POST['CFemail'] );
$FTGTelephone = DoStripSlashes( $_POST['Telephone'] );
$FTGCMBT = DoStripSlashes( $_POST['CMBT'] );
$FTGsubmit = DoStripSlashes( $_POST['submit'] );



$validationFailed = false;

# Fields Validations


if (!CheckString($FTGName, 1, 0, kStringRangeFrom, kNo, kNo, kNo, '', kMandatory)) {
 $FTGErrorMessage['Name'] = 'Please enter your name';
 $validationFailed = true;
}

if (!CheckEmail($FTGemail, kMandatory)) {
 $FTGErrorMessage['email'] = 'Please enter a valid email address';
 $validationFailed = true;
}

if (!CheckEqualTo($FTGCFemail, $FTGemail)) {
 $FTGErrorMessage['CFemail'] = 'Warning! email addresses do not match';
 $validationFailed = true;
}

if (!CheckString($FTGTelephone, 1, 0, kStringRangeFrom, kNo, kNo, kNo, '', kMandatory)) {
 $FTGErrorMessage['Telephone'] = 'Please enter your telephone number';
 $validationFailed = true;
}

if (!CheckString($FTGCMBT, 1, 0, kStringRangeFrom, kNo, kNo, kNo, '', kMandatory)) {
 $FTGErrorMessage['CMBT'] = 'Please enter a call back time';
 $validationFailed = true;
}



# Include message in error page and dump it to the browser

if ($validationFailed === true) {

 $errorPage = '<html><head><meta http-equiv="content-type" content="text/html; charset=utf-8" /><title>Error</title></head><body>Errors found: <!--VALIDATIONERROR--></body></html>';

 $errorPage = str_replace('<!--FIELDVALUE:Name-->', $FTGName, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:email-->', $FTGemail, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:CFemail-->', $FTGCFemail, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:Telephone-->', $FTGTelephone, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:CMBT-->', $FTGCMBT, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:submit-->', $FTGsubmit, $errorPage);
 $errorPage = str_replace('<!--ERRORMSG:Name-->', $FTGErrorMessage['Name'], $errorPage);
 $errorPage = str_replace('<!--ERRORMSG:email-->', $FTGErrorMessage['email'], $errorPage);
 $errorPage = str_replace('<!--ERRORMSG:CFemail-->', $FTGErrorMessage['CFemail'], $errorPage);
 $errorPage = str_replace('<!--ERRORMSG:Telephone-->', $FTGErrorMessage['Telephone'], $errorPage);
 $errorPage = str_replace('<!--ERRORMSG:CMBT-->', $FTGErrorMessage['CMBT'], $errorPage);


 $errorList = @implode("<br />\n", $FTGErrorMessage);
 $errorPage = str_replace('<!--VALIDATIONERROR-->', $errorList, $errorPage);



 echo $errorPage;

}

if ( $validationFailed === false ) {

 # Email to Form Owner
  
 $emailSubject = FilterCChars("Copy email from enquirer");
  
 $emailBody = "Name : $FTGName\n"
  . "email : $FTGemail\n"
  . "CFemail : $FTGCFemail\n"
  . "Telephone : $FTGTelephone\n"
  . "CMBT : $FTGCMBT\n"
  . "submit : $FTGsubmit\n"
  . "";
  $emailTo = 'Geoff <gsh99@sky.com>';
   
  $emailFrom = FilterCChars("$FTGemail");
   
  $emailHeader = "From: $emailFrom\n"
   . "MIME-Version: 1.0\n"
   . "Content-type: text/plain; charset=\"UTF-8\"\n"
   . "Content-transfer-encoding: 8bit\n";
   
  mail($emailTo, $emailSubject, $emailBody, $emailHeader);
  
  
 # Confirmation Email to User
  
 $confEmailTo = FilterCChars($FTGemail);
  
 $confEmailSubject = FilterCChars("Thank you for your enquiry");
  
 $confEmailBody = "Name : $FTGName\n"
  . "email : $FTGemail\n"
  . "CFemail : $FTGCFemail\n"
  . "Telephone : $FTGTelephone\n"
  . "CMBT : $FTGCMBT\n"
  . "submit : $FTGsubmit\n"
  . "\n"
  . "We will be sending you futher information in the nex few days";
  
 $confEmailHeader = "From: gsh99@sky.com\n"
  . "MIME-Version: 1.0\n"
  . "Content-type: text/plain; charset=\"UTF-8\"\n"
  . "Content-transfer-encoding: 8bit\n";
  
 mail($confEmailTo, $confEmailSubject, $confEmailBody, $confEmailHeader);
  


# Include message in the success page and dump it to the browser

$successPage = '<html><head><meta http-equiv="content-type" content="text/html; charset=utf-8" /><title>Success</title></head><body>Form submitted successfully. It will be reviewed soon.</body></html>';

$successPage = str_replace('<!--FIELDVALUE:Name-->', $FTGName, $successPage);
$successPage = str_replace('<!--FIELDVALUE:email-->', $FTGemail, $successPage);
$successPage = str_replace('<!--FIELDVALUE:CFemail-->', $FTGCFemail, $successPage);
$successPage = str_replace('<!--FIELDVALUE:Telephone-->', $FTGTelephone, $successPage);
$successPage = str_replace('<!--FIELDVALUE:CMBT-->', $FTGCMBT, $successPage);
$successPage = str_replace('<!--FIELDVALUE:submit-->', $FTGsubmit, $successPage);

echo $successPage;

}

?>